v.pack(1)

NAME
v.pack.py - Packs up a vector map and support files for copying.

KEYWORDS
vector, export, copying

SYNOPSIS
v.pack.py
v.pack.py --help
v.pack.py [-c] input=name [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Switch the compression off

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of vector map to pack up

output=name
    Name for output file (default is <input>.pack)

DESCRIPTION
v.pack collects vector map elements and support files and compressed them using gzip algorithm for copying. The packed file can be afterwards unpacked by v.unpack.

NOTES
Name of the pack file is determined by default from input parameter. Optionaly the name can be given by output parameter.

EXAMPLE
Pack up vector map random_point into random_point.pack file.

v.pack input=random_point

the vector map can be afterwards unpacked by

v.unpack input=random_point.pack

SEE ALSO
v.unpack, v.in.ogr

AUTHORS
Luca Delucchi, Fondazione E. Mach (Italy), based on the r.pack code

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual